Bug 20230 - Options use 3.2 style and show up under Uncategorized
Options use 3.2 style and show up under Uncategorized
Status: CLOSED FIXED
Product: db
Classification: Unclassified
Component: Code
3.x
All All
: P4 (vote)
: 3.x
Assigned To: Pavel Flaska
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-06 19:33 UTC by Rochelle Raccah
Modified: 2003-06-30 17:18 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rochelle Raccah 2002-02-06 19:33:00 UTC
They should be installed via xml layer and categorized with help from Chris.
Comment 1 Pavel Flaska 2002-03-07 15:10:47 UTC
I already prepared fix, but still don't know the right category. I
asked for help Filip Rachunek (UI).
Comment 2 Chris Ledantec 2002-03-07 15:44:07 UTC
which options?
Comment 3 Pavel Flaska 2002-03-07 16:40:27 UTC
You have to install Database Explorer. (It is not part of build.) Then
you can see Database Explorer under Uncategorized.
Comment 4 Chris Ledantec 2002-03-07 16:47:31 UTC
and what options are provided by the database explorer?
Comment 5 Pavel Flaska 2002-03-07 17:35:05 UTC
For the time being, there are four options:

*Debug mode* - Debug mode for database connections. True means that
(non-user-initiated) commands sent to the database will be listed in
the Output window. False means that this feature is disabled.

*Fetch limit* - Initial number of fetched rows for a query. If this
limit is exceeded, you are asked whether to continue fetching rows or not.

*Fetch step* - The number of additional rows that are fetched (after
the Fetch limit is exceeded) before the IDE prompts you to continue
fetching..

*Connect Sample Database* - If you choose True, Database Explorer
attempts to automatically connect to the sample Pointbase database
with the default username/password of public/public. If you choose
this option, you do not see the connection dialog when. If you choose
False, the connection dialog appears and you must enter the
username/password.
Comment 6 Pavel Flaska 2002-03-07 17:38:07 UTC
For the future releases, we want to add more options. It is planned
for 4.0, I think it is unimportant now.
Comment 7 Chris Ledantec 2002-03-07 18:08:39 UTC
okay, thanks. i'm actually not going to tell you where to categorize
these options bcs i'm working on a complete overhaul of the options
dialog and the system we know now will be no more when i'm done. what
will happen is that some of these will end up in the options dialog i
design and some will be left for and 'advanced' dialog that will be
the registry style tree that we have now (sans categories). 

so the short answer is leave these uncategorized for the moment as i
work on the next great thing.

cL
Comment 8 Rochelle Raccah 2002-03-07 18:22:06 UTC
But, Chris, isn't the new proposal for 3.4?  These options show up in
3.3.1 and the db modules *is* installed as part of the ffj builds by
default.  Do we really want to ship a product with Uncategorized
options?
Comment 9 Chris Ledantec 2002-03-07 18:53:24 UTC
aha. that wasn't clear to me. sorry. i'll try to get something on this
tomorrow. Rochelle, you are the db queen so a suggestion from you
would make me happy. ;-)

cL
Comment 10 Rochelle Raccah 2002-03-07 19:05:05 UTC
I'm not sure about that, Chris =).  Here's what I would suggest:  Add
a "Database" folder under IDE Configuration->Server and External Tool
Settings.  In that folder, put 2 nodes:
1) "Connection" with properties
a) Show Debug Commands (true/false)
b) Automatically Connect Sample (true/false)

2) "Fetch (Settings?)" with properties:
a) Row Limit
b) Incremental Step

I hope that helps.
Comment 11 Chris Ledantec 2002-03-15 14:52:35 UTC
thanks Rochelle... sorry for taking so long to reply. i'll defer to
your recomendation.

cL
Comment 12 Pavel Flaska 2002-03-26 14:10:03 UTC
Fixed in trunk and orion_fcs. I only moved Database Explorer from
Uncategorized to the folder Rochelle suggested.
Comment 13 Rochelle Raccah 2002-03-26 23:56:57 UTC
Chris, do you find it acceptable that the whole Database Explorer node
is moved to the folder I suggested?  The properties are not split as
in my suggestion, so I just wanted to double check.
Comment 14 Pavel Flaska 2002-03-27 09:32:49 UTC
Rochelle, I didn't split it because it is not so simple. If you want
to split properties, then you have to split also DatabaseOption class
which contains properties.
I think it is risky to do it now in orion_fcs branch.
Comment 15 Rochelle Raccah 2002-03-27 17:58:02 UTC
It's fine with me for a shorter term solution for FCS as long as Chris
agrees.  He had agreed to the more complicated split before.
Comment 16 Chris Ledantec 2002-03-28 08:40:24 UTC
short term and long term seem okay to me bcs the oft changed/needed
options will be moved into a nicer ui soon enough. (is that an
enigmatic enough answer for everyone). 

cL
Comment 17 David Kaspar 2002-11-18 14:48:29 UTC
Verified in main trunk
Comment 18 Quality Engineering 2003-06-30 17:18:00 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo